---
layout: free-trial
title: Try GitLab for free
description: "Enjoy a free 30-day trial of GitLab and experience the full software development lifecycle & DevOps tool with an extensive range of innovative features!"
canonical_path: "/free-trial/"
extra_css:
  - pricing.css
  - free-trial.css
extra_js:
  - tabs.js
---

.gitlab-content.container
  .headline-container
    %h1.bold-headline.color-gray
      Get started with GitLab -
      %span.color-primary
        free for 30 days
    %p.margin-top10
      GitLab is more than just source code management or CI/CD. It is a full software development lifecycle & DevOps tool in a
      %span.text-bold
        single application.
    %h4.question
      How do you want to try GitLab?

  .row.text-center
    .col-md-6.col-sm-6
      .gitlab-type-image-container
        = partial "includes/icons/free-trial-cloud.svg"
      %h4.margin-bottom0
        GitLab.com
      .lead.promo-text.light
        SaaS offering hosted by GitLab
      %p.text-left
        Sign up and get started quickly. Accessed via a web browser, no installation is necessary.
      %a.btn.cta-btn.orange.margin-top20.start-trial{ "href": "https://gitlab.com/-/trial_registrations/new?glm_source=about.gitlab.com&glm_content=free-trial", "onclick": "dataLayer.push({'event': 'saas-trial-click'});" } 
        Start free trial 
    .col-md-6.col-sm-6
      .gitlab-type-image-container
        = partial "includes/icons/free-trial-self-managed.svg"
      %h4.margin-bottom0
        GitLab Self-Managed
      .lead.promo-text.light
        Host your own instance on-premises or in the cloud
      %p.text-left
        Download and install on your own infrastructure or in our public cloud environment.
      %a.btn.cta-btn.orange.margin-top20.start-trial{ href: "./self-managed/" }
        Start free trial

= partial "includes/free-trial/features"
= partial "includes/home/customer-logos-transparent"

.row.text-center
  .col-md-12
    .module-trial-cta
      %h1
        Not sure? We will host while you explore.
      %a.btn.cta-btn{ "href": "https://gitlab.com/-/trial_registrations/new?glm_source=about.gitlab.com&glm_content=free-trial", "onclick": "dataLayer.push({'event': 'saas-trial-click'});" } 
        Get started

= partial "includes/layout/footer-blank"
